package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Gtx;
import com.brilliance.isc.bo.GtxUse;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface GtxUseMapper {

    int insert(GtxUse record);

    int insertSelective(GtxUse record);

    int updateByPrimaryKeySelective(GtxUse record);

    int updateByPrimaryKey(GtxUse record);

    int deleteByPrimaryKey(GtxUse record);

    GtxUse selectByPrimaryKey(GtxUse record);

    int insertBatch(List<GtxUse> records);

    List<GtxUse> selectByRecord(GtxUse record);

    int deleteByObjinrAndObjtyp(GtxUse record);

}
